Messaggio di avviso con iLogic

Gianlucagiangian

Utente attivo all'occorenza
Professione: Progettista
Software: Autocad/Inventor/Vault/3D Studio Max
Regione: Toscana
Salve, non sono esperto, quindi vi chiedo un parere e un aiuto.
Io uso una formula in iLogic per mettere in un parametro personalizzato la misura di taglio della parte.
Però vorrei che questa regola venisse eseguita dopo che un messaggio popup mi saia comparso a video, chiedendomi se la voglio eseguire, è possibile? Perchè con i trigger non sono riuscito a fare questa cosa. E credo che per farla ci sia bisogno dell'uso si visual studio. Qualcuno sa come fare? Ah, la regola deve essere possibilmente esterna, ma credo che quello cambi poco.
Grazie
 

Catafratto

Utente Standard
Professione: Disegnatore/progettista
Software: Inventor 2020
Regione: Veneto
Non mi è chiaro quando vuoi che la regola ti visualizzi il pop-up,
comunque questo:

Codice:
ans = MessageBox.Show("Message", "Title", MessageBoxButtons.YesNo)
If ans = vbYes Then
    MessageBox.Show("my yes")
End If

If ans = vbNo Then
    MessageBox.Show("my no")
End If

ti propone un prompt Sì/No, se è questo quello che cercavi...
 

Gianlucagiangian

Utente attivo all'occorenza
Professione: Progettista
Software: Autocad/Inventor/Vault/3D Studio Max
Regione: Toscana
Scusa se mi sono spiegato male. io ho una formula in iLogic, che praticamente mi importa in un parametro personalizzato MISURATAGLIO_QUANTITÀ, il valore di taglio della materia prima.

Vorrei che incorporato a questa formula (che voglio che sia esterna, cosi da ritrovarmela sempre), ci fosse il modo di far uscire un messaggio, che ne so, tipo quando salvo la parte che mi dica per esempio:

Vuoi eseguire la regola Estrusione?

SI NO ANNULLA

una cosa del genere, e poi che la parte venga salvata.
Ora ho visto la tua formula, se va bene, come la devo integrare alla mia?
Grazie
 

Catafratto

Utente Standard
Professione: Disegnatore/progettista
Software: Inventor 2020
Regione: Veneto
Naturalmente dipende dalla tua regola, se è breve
Codice:
ans = MessageBox.Show("IL MIO MESSAGGIO", "IL TITOLO DELLA FINESTRELLA", MessageBoxButtons.YesNo)
If ans = vbYes Then

    Copio qui la mia regola

End If

Se premi sì esegue tutto il codice compreso tra if ... endif,
se premi no... non lo esegue
 

Gianlucagiangian

Utente attivo all'occorenza
Professione: Progettista
Software: Autocad/Inventor/Vault/3D Studio Max
Regione: Toscana
ans = MessageBox.Show("IL MIO MESSAGGIO", "IL TITOLO DELLA FINESTRELLA", MessageBoxButtons.YesNo)
If ans = vbYes Then

SyntaxEditor Code SnippetPublic Sub Main
Dim doc As PartDocument = ThisDoc.Document
Dim cd As PartComponentDefinition = doc.ComponentDefinition
If cd.Features.ExtrudeFeatures.Count = 0 Then Return
Dim estrusione1 As ExtrudeFeature = cd.Features.ExtrudeFeatures.Item(1)
iProperties.Value("Custom", "MISURATAGLIO_QUANTITÀ") = estrusione1.FeatureDimensions.Item(1).Parameter.Value/100
End Sub

End If




Così? perchè da quest'errore sotto


Errori di compilazione regole in Estrusione_Automatica, Particolare non piegato_PARA.ipt

Errore nella riga 1: Prevista dichiarazione.
Errore nella riga 2: L'istruzione non può trovarsi all'esterno del corpo di un metodo o di un'espressione lambda su più righe.
Errore nella riga 12: 'End If' deve essere preceduto da un 'If' corrispondente
 

Catafratto

Utente Standard
Professione: Disegnatore/progettista
Software: Inventor 2020
Regione: Veneto
Codice:
Dim ans
ans = MessageBox.Show("IL MIO MESSAGGIO", "IL TITOLO DELLA FINESTRELLA", MessageBoxButtons.YesNo)
If ans = vbYes Then
    'MessageBox.Show("In esecuzione")
    Dim doc As PartDocument = ThisDoc.Document
    Dim cd As PartComponentDefinition = doc.ComponentDefinition
    If cd.Features.ExtrudeFeatures.Count > 0 Then
        'MessageBox.Show("Trovate estrusioni")
        Dim estrusione1 As ExtrudeFeature = cd.Features.ExtrudeFeatures.Item(1)
        iProperties.Value("Custom", "MISURATAGLIO_QUANTITÀ") = estrusione1.FeatureDimensions.Item(1).Parameter.Value / 100
    Else
        'MessageBox.Show("Non ci sono estrusioni")
    End If
End If

Se togli gli apicetti di fronte ai vari messagebox.show avrai dei prompt che di dicono cosa succede, se ti piace la cosa.
 

Gianlucagiangian

Utente attivo all'occorenza
Professione: Progettista
Software: Autocad/Inventor/Vault/3D Studio Max
Regione: Toscana
Ottimo, l'ho messa come trigger dopo il salvataggio e funziona. grazie 1000
 

Gianlucagiangian

Utente attivo all'occorenza
Professione: Progettista
Software: Autocad/Inventor/Vault/3D Studio Max
Regione: Toscana
Un'altra cosa, io ho l'esigenza di aggiungere una proprietà chiamata
Peso con la funzione =<mass>
nelle iProperties personalizzate di disegni già creati (negli ipt e jam nuovi è già integrato).

C'è modo con iLogic o in altra maniera, di farlo inserire in automatico senza che lo inserisca io?
 

Statistiche forum

Discussioni
55,576
Messaggi
474,147
Utenti registrati
95,830
Ultimo utente registrato
sup3rpol

Top